[arch-commits] Commit in python-oslo-concurrency/repos/community-any (2 files)

Felix Yan felixonmars at archlinux.org
Tue Feb 11 16:59:13 UTC 2020


    Date: Tuesday, February 11, 2020 @ 16:59:11
  Author: felixonmars
Revision: 567781

archrelease: copy trunk to community-any

Added:
  python-oslo-concurrency/repos/community-any/PKGBUILD
    (from rev 567780, python-oslo-concurrency/trunk/PKGBUILD)
Deleted:
  python-oslo-concurrency/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  122 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 61 insertions(+), 61 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-02-11 16:58:56 UTC (rev 567780)
+++ PKGBUILD	2020-02-11 16:59:11 UTC (rev 567781)
@@ -1,61 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
-
-pkgbase=python-oslo-concurrency
-pkgname=(python-oslo-concurrency python2-oslo-concurrency)
-pkgver=3.31.0
-pkgrel=1
-pkgdesc="OpenStack library for all concurrency-related code"
-arch=('any')
-url="https://pypi.python.org/pypi/oslo.concurrency/$pkgver"
-license=('Apache')
-makedepends=('python-setuptools' 'python2-setuptools' 'python-pbr' 'python2-pbr' 'python-oslo-config'
-             'python2-oslo-config' 'python-oslo-i18n' 'python2-oslo-i18n' 'python-oslo-utils'
-             'python2-oslo-utils' 'python-fasteners' 'python2-fasteners' 'python2-enum34')
-checkdepends=('python-mock' 'python2-mock' 'python-oslotest' 'python2-oslotest' 'python-oslo-config'
-              'python2-oslo-config' 'python-eventlet' 'python2-eventlet')
-options=('!emptydirs')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/openstack/oslo.concurrency/archive/$pkgver.tar.gz")
-sha512sums=('dc76753dbc15dd01cdde82ede1b6efb1587b32a4da80c35d766f1da0da7497e8297204b288b84570a18134f7c59db08daea89304248f38cccfd46198be191880')
-
-prepare() {
-  cp -a oslo.concurrency-$pkgver{,-py2}
-
-  export PBR_VERSION=$pkgver
-}
-
-build() {
-  cd "$srcdir"/oslo.concurrency-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/oslo.concurrency-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/oslo.concurrency-$pkgver
-  stestr run || warning "1 failure about raising rlimit"
-
-  cd "$srcdir"/oslo.concurrency-$pkgver-py2
-  PYTHON=python2 stestr2 run || warning "1 failure about raising rlimit"
-}
-
-package_python-oslo-concurrency() {
-  depends=('python-six' 'python-pbr' 'python-oslo-config' 'python-oslo-i18n' 'python-oslo-utils'
-           'python-fasteners')
-
-  cd "$srcdir"/oslo.concurrency-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}
-
-package_python2-oslo-concurrency() {
-  depends=('python2-six' 'python2-pbr' 'python2-oslo-config' 'python2-oslo-i18n'
-           'python2-oslo-utils' 'python2-fasteners' 'python2-enum34')
-
-  cd "$srcdir"/oslo.concurrency-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-
-  mv "$pkgdir"/usr/bin/lockutils-wrapper{,2}
-}
-
-# vim:set ts=2 sw=2 et:

Copied: python-oslo-concurrency/repos/community-any/PKGBUILD (from rev 567780, python-oslo-concurrency/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-02-11 16:59:11 UTC (rev 567781)
@@ -0,0 +1,61 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+
+pkgbase=python-oslo-concurrency
+pkgname=(python-oslo-concurrency python2-oslo-concurrency)
+pkgver=4.0.0
+pkgrel=1
+pkgdesc="OpenStack library for all concurrency-related code"
+arch=('any')
+url="https://pypi.python.org/pypi/oslo.concurrency/$pkgver"
+license=('Apache')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-pbr' 'python2-pbr' 'python-oslo-config'
+             'python2-oslo-config' 'python-oslo-i18n' 'python2-oslo-i18n' 'python-oslo-utils'
+             'python2-oslo-utils' 'python-fasteners' 'python2-fasteners' 'python2-enum34')
+checkdepends=('python-mock' 'python2-mock' 'python-oslotest' 'python2-oslotest' 'python-oslo-config'
+              'python2-oslo-config' 'python-eventlet' 'python2-eventlet')
+options=('!emptydirs')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/openstack/oslo.concurrency/archive/$pkgver.tar.gz")
+sha512sums=('d75d84d4ce27b7418e358e5b5fdf0015511aa2caaddfed38f9eb4d1fdb4635c7df348c6cafbad26b3a0b9af8b41df898450f050e8899c4659c81b63ef8dfb45c')
+
+prepare() {
+  cp -a oslo.concurrency-$pkgver{,-py2}
+
+  export PBR_VERSION=$pkgver
+}
+
+build() {
+  cd "$srcdir"/oslo.concurrency-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/oslo.concurrency-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/oslo.concurrency-$pkgver
+  stestr run || warning "1 failure about raising rlimit"
+
+  cd "$srcdir"/oslo.concurrency-$pkgver-py2
+  PYTHON=python2 stestr2 run || warning "1 failure about raising rlimit"
+}
+
+package_python-oslo-concurrency() {
+  depends=('python-six' 'python-pbr' 'python-oslo-config' 'python-oslo-i18n' 'python-oslo-utils'
+           'python-fasteners')
+
+  cd "$srcdir"/oslo.concurrency-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-oslo-concurrency() {
+  depends=('python2-six' 'python2-pbr' 'python2-oslo-config' 'python2-oslo-i18n'
+           'python2-oslo-utils' 'python2-fasteners' 'python2-enum34')
+
+  cd "$srcdir"/oslo.concurrency-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+
+  mv "$pkgdir"/usr/bin/lockutils-wrapper{,2}
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list